%define real_name PyYAML

Name:           python-yaml
Epoch:          0
Version:        5.3.1
Release:        %mkrel 2
Summary:        Python package implementing YAML parser and emitter
License:        MIT
Group:          Development/Python
URL:            http://pyyaml.org/
Source0:        https://pyyaml.org/download/pyyaml/PyYAML-%{version}.tar.gz
# CVE-2020-14343
Patch0:		7adc0db3f613a82669f2b168edd98379b83adb3c.patch
BuildRequires:  pkgconfig(yaml-0.1)

%description
PyYAML is a YAML parser and emitter for the Python programming
language.

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%package -n python3-yaml
Summary:        YAML parser and emitter for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cython)
%{?python_provide:%python_provide python3-yaml}
Provides:       python3-%{real_name} = %{epoch}:%{version}-%{release}

%description -n python3-yaml
PyYAML is a YAML parser and emitter for the Python programming
language.

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%prep
%setup -q -n %{real_name}-%{version}
%autopatch -p1
chmod a-x examples/yaml-highlight/yaml_hl.py

# remove pre-generated file
rm -rf ext/_yaml.c

%build
%py3_build

%install
%py3_install

%files -n python3-yaml
%license LICENSE
%doc README examples
%{python3_sitearch}/*


%changelog
* Sun Jan 24 2021 neoclust <neoclust> 0:5.3.1-2.mga8
+ Revision: 1673176
- Add P0 - Fixes CVE-2020-14343  (mga#28205)

* Wed Apr 01 2020 daviddavid <daviddavid> 0:5.3.1-1.mga8
+ Revision: 1562849
- new version: 5.3.1, fixes CVE-2020-1747 (mga#26405)

* Sun Feb 16 2020 umeabot <umeabot> 0:5.1.2-3.mga8
+ Revision: 1530696
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 0:5.1.2-2.mga8
+ Revision: 1437162
- rebuild with new python-rpm-macros
- use python_provide

* Tue Sep 03 2019 wally <wally> 0:5.1.2-1.mga8
+ Revision: 1436785
- new version 5.1.2
- drop python2 support
- rebuild for python3.8

* Mon Apr 01 2019 bcornec <bcornec> 0:5.1-2.mga7
+ Revision: 1383989
+ rebuild (emptylog)

* Mon Apr 01 2019 bcornec <bcornec> 0:5.1-1.mga7
+ Revision: 1383903
- Update to upstream 5.1 to fix #23242

* Sat Jan 05 2019 wally <wally> 0:4.1-4.mga7
+ Revision: 1349893
- rebuild for arm

* Sat Jan 05 2019 wally <wally> 0:4.1-3.mga7
+ Revision: 1349265
- rebuild for python3.7

* Fri Oct 12 2018 daviddavid <daviddavid> 0:4.1-2.mga7
+ Revision: 1319752
- add missing BRs on python{2,3}cython to build _yaml code
- rename python-yaml to python2-yaml

* Thu Oct 11 2018 bcornec <bcornec> 0:4.1-1.mga7
+ Revision: 1319437
- Update to upstream python-yaml 4.1

* Sun Sep 23 2018 umeabot <umeabot> 0:3.12-3.mga7
+ Revision: 1300623
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 guillomovitch <guillomovitch> 0:3.12-2.mga7
+ Revision: 1161854
- rebuild to generate proper automatic dependencies

* Fri Aug 04 2017 philippem <philippem> 0:3.12-1.mga7
+ Revision: 1134902
- update to 3.12, rebuild with Python 3.6

* Sun May 14 2017 ngompa <ngompa> 0:3.10-13.mga6
+ Revision: 1101033
- Add extra Provides for Fedora compatibility

* Fri Feb 12 2016 umeabot <umeabot> 0:3.10-12.mga6
+ Revision: 958697
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0:3.10-11.mga6
+ Revision: 887574
- rebuild for python 3.5

* Tue Dec 30 2014 luigiwalser <luigiwalser> 0:3.10-10.mga5
+ Revision: 807341
- add upstream patch to fix issue related to CVE-2014-9130

* Wed Oct 15 2014 umeabot <umeabot> 0:3.10-9.mga5
+ Revision: 739975
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:3.10-8.mga5
+ Revision: 730022
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:3.10-7.mga5
+ Revision: 688440
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0:3.10-6.mga5
+ Revision: 629115
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0:3.10-5.mga4
+ Revision: 544450
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0:3.10-4.mga4
+ Revision: 499780
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0:3.10-3.mga4
+ Revision: 474156
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0:3.10-2.mga3
+ Revision: 379721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 fwang <fwang> 0:3.10-1.mga2
+ Revision: 125322
- new version 3.10

* Sat Feb 26 2011 eandry <eandry> 0:3.09-3.mga2
+ Revision: 60843
- drop buildroot
- imported package python-yaml


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0:3.09-3mdv2011.0
+ Revision: 590784
- rebuild for py2.7

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0:3.09-2mdv2010.1
+ Revision: 472674
- rebuild for new libyaml

* Wed Dec 02 2009 Funda Wang <fwang@mandriva.org> 0:3.09-1mdv2010.1
+ Revision: 472661
- new version 3.09

* Fri Jan 02 2009 Adam Williamson <awilliamson@mandriva.org> 0:3.08-1mdv2009.1
+ Revision: 323250
- new release 3.08

* Mon Dec 29 2008 Funda Wang <fwang@mandriva.org> 0:3.07-1mdv2009.1
+ Revision: 320837
- New version 3.07

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0:3.06-2mdv2009.1
+ Revision: 318986
- rebuild for new python

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0:3.06-1mdv2009.1
+ Revision: 291764
- New version 3.06

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0:3.05-2mdv2009.0
+ Revision: 225165
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0:3.05-1mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 02 2007 David Walluck <walluck@mandriva.org> 0:3.05-1mdv2008.0
+ Revision: 34457
- Import python-yaml



* Fri Jun 01 2007 David Walluck <walluck@mandriva.org> 0:3.05-1mdv2008.0
- release
